#ifndef __timer__
#define __timer__

namespace Device {

	class TimerSDL {
	public:
		TimerSDL();
		virtual ~TimerSDL(){}
		void wait( void );
		void reset( void );
		void setFPS( int );
		bool isFrameSkip( void );
		int getCPUPower( void ){ return 0; } // Ή
		int getRealFPS( void ){ return 0; } // Ή
		int getFPS( void ){ return _fps; }
	private:
		void addTick( void );
		void resetTick( void );
		int _fps;
		unsigned int _tickh;
		unsigned int _tickl;
		int _add;
		int _skipCount;
		bool _skipFlag;
	};
}

#endif // __timer__
