#include "cvt.h"

struct ResourcenameBuffer {
	unsigned int used;
	unsigned int length;
	char* ptr;
};
static struct ResourcenameBuffer _resourcenameBuffer;

int lib_initResourcename( char* allocedBuffer, int length ){

	if( _resourcenameBuffer.ptr != (void*)0 ){
		return 0;
	}

	_resourcenameBuffer.ptr = allocedBuffer;
	_resourcenameBuffer.length = length;
	_resourcenameBuffer.used = 0;
	return 1;
}

/* t@C̊gq const char* extension ̕ƒu */
char* lib_changeExtensiton( char* src, const char* extension ){
	char path[ 0x100 ];
	int pathLength = 0;
	char* argvStartPtr = 0;
	char* dst = 0;
	
	if( !src ){
		return 0;
	}
	if( _resourcenameBuffer.ptr == 0 ){
		return 0;
	}
	
	lib_strcpy( path, src );

	/* Rs[̕ŌォT[`āAŏ'.''\0'ɒu */

	argvStartPtr = path + lib_strlen( path );

	while( 1 ){
		if( argvStartPtr == path ){
			break;
		}
		if( *argvStartPtr == '.' ){
			*argvStartPtr = '\0';
			break;
		}
		--argvStartPtr;
	}
	pathLength = lib_strlen( path ) + lib_strlen( extension ) + 1;

	/* ŏI𐶐 */
	if( _resourcenameBuffer.length < ( _resourcenameBuffer.used + pathLength ) ){
		/* ߂lp̃obt@ɗ]TȂȂĂ܂ */
		return 0;
	}

	dst = _resourcenameBuffer.ptr + _resourcenameBuffer.used;
	_resourcenameBuffer.used += pathLength;
	lib_strcpy( dst, path );
	lib_strcpy( dst + lib_strlen( dst ), extension );

	return dst;
}
