#ifndef __lib_generic_loader_wav__
#define __lib_generic_loader_wav__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

struct PcmFormat {
  char*      sampleptr;
  int      soundlen;	/* Length in samples */
  int      bits;		/* 8/16 bit */
  int      channels;	/* mono=1, streo=2 */
  int      frequency;	/* 11025 * 1,2,4 */
};

int loadwave( char* filename, struct PcmFormat* buf );

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __lib_generic_loader_wav__ */
