#include "keyboard.h"

#include <SDL.h>

using namespace Device::Input;

void KeyboardSDL::update(){
	SDL_PumpEvents(); // SDL_GetKeyState
	Uint8 *keystate = SDL_GetKeyState(NULL);
	for( int i = 0; i < 0x200; ++i ){
		if( keystate[ i ] == 1 ){
			++keyCount[ i ];
		}else{
			keyCount[ i ] = 0;
		}
	}
}

bool KeyboardSDL::isPress( int key ){
	if( key < 0x200 ){
		return count( key ) > 0;
	}else{
		return 0;
	}
	
}

int KeyboardSDL::count( int key ){
	if( key < 0x200 ){
		return keyCount[ key ];
	}else{
		return 0;
	}
}

